var mouseon : int;   //定义mouseon为整数，记录鼠标是否位于物体上
static var dbutton=0;  //定义dbutton为全球变量方便其他程序调用，且为整数初始为0，用于记录是否按下该键

function OnMouseEnter()  //当鼠标位于该物体上时，该函数触发
{
	renderer.material.color = Color.red; //该物体颜色变为红色
	mouseon=1;  //鼠标位于物体上
	return mouseon;
}

function OnMouseExit()  //当鼠标不在该物体上时，该函数触发
{
	renderer.material.color = Color.yellow; //该物体颜色变为黄色
	mouseon=0;  //鼠标不在物体上
	return mouseon;
}

function Update ()
{
	if( mouseon && Input.GetButton("Fire1")|| Input.GetKey(KeyCode.O))//当鼠标在上面且持续按下鼠标左键时或者持续按下O键时，该物体下移，否则回到原位
	{
		transform.position.y = 0.49;
		dbutton=1; //该键按下
	}
	else
	{ 
	    transform.position.y = 0.517;
	    dbutton=0; //该键未按下
	}    
}